* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    background: #080808;
    color: #fff;
    overflow-x: hidden;
}

a {
    color: inherit;
    text-decoration: none;
}

img {
    max-width: 100%;
}

.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    height: 82px;
    padding: 0 5%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 10;
    background: rgba(0,0,0,.45);
    backdrop-filter: blur(12px);
    border-bottom: 1px solid #222;

}

.logo {
    font-size: 25px;
    font-weight: 900;
    letter-spacing: 4px;
}

.navbar nav {
    display: flex;
    gap: 35px;
}

.navbar nav a {
    font-size: 11px;
    letter-spacing: 2px;
    text-transform: uppercase;
    color: #ccc;
    transition: .3s;
}

.navbar nav a:hover {
    color: #fff;
}

.hero {
    min-height: 100vh;
    display: flex;
    align-items: center;
    padding: 120px 6%;
    background:
        linear-gradient(90deg,rgba(0,0,0,.85),rgba(0,0,0,.35)),
        url("../images/hero.jpg") center/cover;
}

.hero-content {
    width: 90%;
    max-width: 1200px;
    margin: auto;
}

.hero-content > p:first-child,
.about-preview > p:first-child,
.contact-section > p:first-child,
.section-top > div > p,
.unreleased-section > p:first-child {
    color: #999;
    font-size: 10px;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.hero h1 {
    margin-top: 20px;
    font-size: clamp(60px,9vw,145px);
    line-height: .85;
    letter-spacing: -6px;
}

.hero-content > p:nth-of-type(2) {
    margin-top: 30px;
    max-width: 500px;
    color: #ccc;
    font-size: 12px;
    letter-spacing: 3px;
    line-height: 1.6;
}

.round-shop {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-top: 40px;
    min-width: 150px;
    height: 52px;
    padding: 0 30px;
    border-radius: 50px;
    background: #fff;
    color: #000;
    font-size: 10px;
    font-weight: bold;
    letter-spacing: 2px;
    transition: .3s;
}

.round-shop:hover {
    background: #d90000;
    color: #0e0e0e;
}


/* SECTIONS */

.released-section,
.unreleased-section,
.about-preview,
.contact-section {
    padding: 120px 6%;
}

.section-top {
    display: flex;
    align-items: end;
    justify-content: space-between;
    margin-bottom: 60px;
}

.section-top h2,
.unreleased-section h2 {
    margin-top: 15px;
    font-size: clamp(45px,6vw,90px);
    line-height: .9;
    letter-spacing: -4px;
}

.section-top > a,
.about-preview > a {
    border-bottom: 1px solid;
    padding-bottom: 6px;
    font-size: 10px;
    letter-spacing: 2px;
}
.released-section {
    background:#111;
}

.product-grid {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 28px;
}

.product-card {
    background: #111;
    border: 1px solid #222;
    overflow: hidden;
    transition: .3s;
}

.product-card:hover {
    transform: translateY(-5px);
    border-color: #555;
}

.product-card > img {
    width: 100%;
    height: 320px;
    display: block;
    object-fit: cover;
    object-position: center;
    transition: .4s;
    
}

.product-card:hover > img {
    transform: scale(1.03);
}

.product-card h3 {
    margin: 20px 20px 8px;
    font-size: 16px;
    font-weight: 500;
}

.product-card p {
    margin: 0 20px 12px;
    color: #888;
    font-size: 10px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
}

.product-card strong {
    display: block;
    margin: 0 20px 20px;
    font-size: 14px;
}

.product-card > a {
    display: block;
    margin: 0 20px 20px;
    padding: 17px;
    background: #fff;
    color: #000;
    text-align: center;
    font-size: 10px;
    font-weight: bold;
    letter-spacing: 2px;
    transition: .3s;
}

.product-card > a:hover {
    background: #d90000;
    color: #fff;
}

.unreleased-section {
    background: #f1f1f1;
    color: #080808;
}

.unreleased-section > p:first-child {
    color: #777;
}

.unreleased-grid {
    display: grid;
    grid-template-columns: repeat(5,1fr);
    margin-top: 60px;
    border: 1px solid #ccc;
}

.unreleased-grid > div {
    min-height: 280px;
    padding: 30px 22px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border-right: 1px solid #ccc;
    transition: .3s;
}

.unreleased-grid > div:hover {
    background: #080808;
    color: #fff;
}

.unreleased-grid h3 {
    font-size: 20px;
}

.unreleased-grid p {
    color: #999;
    font-size: 9px;
    letter-spacing: 2px;
}

.about-preview {
    min-height: 75vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    background:
        linear-gradient(90deg,rgba(255, 0, 0, 0.95),rgba(0,0,0,.5)),
        url("../images/about.jpg") center/cover;
}

.about-preview h2 {
    margin: 20px 0 30px;
    font-size: clamp(45px,6vw,90px);
    line-height: .9;
    letter-spacing: -4px;
}

.about-preview > p:nth-of-type(2) {
    max-width: 500px;
    margin-bottom: 30px;
    color: #aaa;
    line-height: 1.8;
}
.contact-section {
    min-height: 65vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    background:
          linear-gradient(90deg,
        rgba(0,0,0,0.85),
        rgba(0,0,0,o.45)),
        url("../image/IMG-20260822-WA0012.jpg");


.contact-section > p:first-child {
    color: #fff;
}

.contact-section h2 {
    margin: 20px 0;
    font-size: clamp(55px,8vw,120px);
    line-height: .9;
    letter-spacing: -5px;
}

.contact-section > a {
    margin-top: 10px;
    padding: 17px 30px;
    background: #fff;
    color: #c00808;
    font-size: 10px;
    font-weight: bol;
    letter-spacing: 2px;
}

footer {
    padding: 70px 6% 30px;
    background: #050505;
}

footer h2 {
    font-size: 55px;
    letter-spacing: 5px;
}

footer > p {
    margin-top: 10px;
    color: #777;
    font-size: 10px;
    letter-spacing: 2px;
}

footer > div {
    display: flex;
    gap: 25px;
    margin-top: 50px;
    flex-wrap: wrap;
}

footer > div a {
    color: #999;
    font-size: 10px;
    letter-spacing: 1.5px;
    text-transform: uppercase;
}

footer > p:last-child {
    margin-top: 60px;
    padding-top: 20px;
    border-top: 1px solid #222;
}


/* MOBILE */

@media (max-width: 900px) {
    .product-grid {
        grid-template-columns: repeat(2,1fr);
    }

    .unreleased-grid {
        grid-template-columns: repeat(2,1fr);
    }
}

@media (max-width: 600px) {

    .navbar {
        height: 70px;
        padding: 0 20px;
    }

    .logo {
        font-size: 20px;
    }

    .navbar nav {
        gap: 12px;
    }

    .navbar nav a {
        font-size: 8px;
        letter-spacing: 1px;
    }

    .hero {
        padding: 100px 20px 70px;
    }

    .hero h1 {
        font-size: 55px;
        letter-spacing: -3px;
    }

    .hero-content > p:nth-of-type(2) {
        font-size: 9px;
        letter-spacing: 2px;
    }

    .round-shop {
        width: 90px;
        height: 90px;
        padding: 0;
        border-radius: 50%;
    }

    .released-section,
    .unreleased-section,
    .about-preview,
    .contact-section {
        padding: 85px 20px;
    }

    .section-top {
        flex-direction: column;
        align-items: flex-start;
        gap: 25px;
    }

    .section-top h2,
    .unreleased-section h2,
    .about-preview h2 {
        font-size: 48px;
    }

    .product-grid,
    .unreleased-grid {
        grid-template-columns: 1fr;
    }

    .product-card > img {
        height: 420px;
    }

    .unreleased-grid {
        margin-top: 40px;
    }

    .unreleased-grid > div {
        min-height: 220px;
        border-bottom: 1px solid #ccc;
    }

    .contact-section h2 {
        font-size: 55px;
        letter-spacing: -3px;
    }

    footer {
        padding: 60px 20px 25px;
    }

    footer h2 {
        font-size: 45px;
    }
}
